Retrieve a List of User Groups

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Zerion Identity MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp"
  }
}

Close
GET /userGroups

Query parameters

  • fields string

    extra information of each user on the list

  • limit number

    maximum count of the user list

  • offset number

    skip that many users before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • id string Required
    • name string Required
    • profile_id number
    • server_id string
GET /userGroups
curl \
 --request GET 'https://identity.zerionsoftware.com/v1/userGroups' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": "6e72b386ac43d1414e59188b",
    "name": "demo_group1",
    "profileId": 171235,
    "serverId": "demo"
  },
  {
    "id": "6e72b386ac43d1414e59188c",
    "name": "demo_group2",
    "profileId": 171235,
    "serverId": "demo"
  },
  {
    "id": "6e72b386ac43d1414e59188d",
    "name": "demo_group3",
    "profileId": 171235,
    "serverId": "demo"
  }
]